# [asgard] Stockage

## Schéma de partitionnement cible
- **vda** (disque système cloud-init) 10G
    - vda14 (BIOS boot)
    - vda15 (EFI)
    - vda1 (partition racine /)

- **vdb** (disque secondaire LVM) 5G

### Schéma de partitionnement LVM
- **data** (LVM volume group) : **vdb**
    - **k0s** (LVM logical volume) : 5G

## Initialisation LVM pour le disque secondaire
Création du *physical volume* **vdb**

`sudo pvcreate /dev/vdb`

Création du *volume groupe* **data**

`sudo vgcreate data /dev/vdb`

Création du *logical volume* **k0s**

`sudo lvcreate -l+100%FREE -n k0s data`

### Formatage et montage des volumes de données
Formatage du volume en EXT4

`sudo mkfs.ext4 /dev/data/k0s`

Création des répertoires `/data/k0s`

`sudo mkdir -p /data/k0s`

Montage des volumes. Via `/etc/fstab`

```
/dev/data/k0s /data/k0s ext4 rw,discard,errors=remount-ro 0 1
```

`sudo mount /data/k0s`
