# [midgard] PostgreSQL

## Installation

`sudo curl -o /etc/apt/trusted.gpg.d/pgdg.asc https://www.postgresql.org/media/keys/ACCC4CF8.asc`

`echo "deb [signed-by=/etc/apt/trusted.gpg.d/pgdg.asc] https://apt.postgresql.org/pub/repos/apt $(lsb_release -cs)-pgdg main" | sudo tee /etc/apt/sources.list.d/pgdg.list`

`sudo apt update`

`sudo apt install postgresql-16`

## Configuration

`sudo chown postgres:postgres /data/pgdata /data/pglog`

`sudo pg_dropcluster --stop 16 main`

`sudo pg_createcluster -d /data/pgdata/16/midgard -l /data/pglog/postgresql-16-midgard.log 16 midgard`

`sudo pg_ctlcluster start 16 midgard`
